%! TEX root = ../../master.tex
\lecture[]{So 13 Mär 2022}{Untitled}

\section{Multiplicate structures in cohomology}

Let $R$ always be a commutative ring.

 \begin{definition}
  Let $H^*$ be a cohomology theory (with values in  $\Mod_R$).
  A  \vocab{multiplicative structure} is given by the following data:

  For all $X$,  $A$,  $B\subset X$ such that
  $(A\cup B, A, B)$ is an excisive triad
  and for all $p$,  $q$ there is an $R$-linear map
  \[
  \cup \colon  H^p(X,A) \otimes _R H^q(X,B) \to  H^{p+q}(X,A\cup B)
  \]
  and an element $1\in H^0(\pt)$ satisfying:
  \begin{enumerate}[p]
    \item (Naturality) Let $(X,A,B)$ and  $(X',A',B')$ be excisive triads,
      let  $f\colon X\to X'$ be a map such that $f(A) \subset A'$ and $f(B)\subset B'$.
      Then for all $p$,  $q$, the diagram
       \[
      \begin{tikzcd}
        H^p(X',A')\otimes _R H^q(X',B') \ar[swap]{d}{f^* \otimes f^*} \ar{r}{\cup} & H^{p+q}(X',A'\cup B') \ar{d}{f^*} \\
        H^p(X,A) \otimes _R H^q(X,B)\ar[swap]{r}{\subset } & H^{p+q}(X,A\cup B)
      \end{tikzcd}
      \]
      commutes.
    \item (Unit) For all $u\in H^p(X,A)$, with the projection $p\colon X \to  \pt$,
      it holds
      \[
      p^*(1) \cup u = u \cup p^*(1) = u \in H^p(X,A)
      \]
    \item (Associativity) We have
      \[
        (x \cup y) \cup z = x \cup ( y \cup  z)
      \]
      for cohomology classes $x$,  $y$,  $z$, if all of the above is defined.
    \item (graded) commutativity: For all $x\in H^p(X,A)$ and for all $y\in H^q(Y,B)$,
      it holds
      \[
      x\cup y = (-1)^{pq}(y\cup x)
      .\] 
    \item (Compatibility with $δ$) The diagram
      \[
       \begin{tikzcd}
       H^{p-1}(A) \otimes _R H^q(X,B) \ar{r}{\id \otimes i^*} \ar{dd}{δ\otimes {\id}}
        &
        H^{p-1}(A) \otimes _R H^q(A,A\cap B) \ar{r}{\cup }
        &
        H^{p+q-1}(A,A\cap B) \\
        & & H^{p+q-1}(A\cup B, B) \ar{u}{\cong} \ar{d}{δ} \\
        H^p(X,A) \otimes _R H^q(X,B) \ar{rr}
        & & 
         H^{p+q}(X,A\cup B)
      \end{tikzcd}
    \]
      commutes.
  \end{enumerate}
\end{definition}

\begin{theorem}
  Singular cohomology $H^*(-,R)$ admits a multiplicative structure.
\end{theorem}
\begin{proof}
  later.
\end{proof}

\begin{definition}
  Let $H^*$ be a cohomology theory with multiplicative structure  $\cup $.
  We define an \vocab[external product]{external-} or \vocab{cross-product} $\times $ by
  \[
  \times \colon  H^p(X,A) \otimes _R H^q(Y,B) \xrightarrow{\pr_X^* \otimes _R \pr_Y^*} H^p(X\times Y, A\times Y) \otimes _R H^q(X\times Y, X\times B) \xrightarrow{\cup }  H^{p+q} ((X,A)\times (Y,B))
  \] 
  for all pairs $(X,A)$,  $(Y,B)$ such that
   $(X\times B \cup A\times Y, X\times B, A\times Y)$ is an excisive triad.
\end{definition}

\begin{lemma}
  The cross-product \enquote{$\times$} satisfies
  \begin{enumerate}[h]
    \item (Naturality) $(f\times G)^*(a\times b) = f^*a \times g^* b$
    \item (Unit) $1\times a = a\times 1 = a$
    \item (Associativity) $(a\times b)\times c = a\times (b\times c)$
    \item (Commutative) Let
        \begin{equation*}
        τ: \left| \begin{array}{c c l} 
        X\times Y & \longrightarrow & Y\times X \\
        (x,y) & \longmapsto &  (y,x)
        \end{array} \right.
      .\end{equation*}
      Then
      \[
      τ^*(a\times b) = (-1)^{\abs{a}\abs{b}  } (b\times a)
      \]
      where we denote $\abs{a} = p $, $\abs{b}=q $ for the cohomology degrees
      of $a\in H^p(Y)$ and $b\in H^q(X)$.
    \item The diagram
      \[
      \begin{tikzcd}
        H^{p-1}(A) \otimes _R H^q(Y,B) \ar{r}{\times }\ar{d}{δ\otimes {\id}} &  H^{p+q-1}(A\times Y, A\times B)
                                                       & H^{p+q-1}(A\times Y\cup X\times b, X\times B) \ar{l}{\cong} \ar{d}{δ} \\
        H^p(X,A) \otimes H^q(Y,B) \ar{rr}{\times } &  & H^{p+q}((X,A)\times (Y,B))
      \end{tikzcd}
      \] 
      commutes.
  \end{enumerate}
\end{lemma}
\todo{proof}

\begin{lemma}
  Let $H^*$ be a cohomology theory that satisfies the dimension axiom.
  Then the cross-product is an isomorphism
  \begin{tikzcd}
    H^n(D^n,S^{n-1}) \otimes _R H^m(X,A) \ar{r}{\cong}[swap]{\times } &
    H^{n+m}((D^n,S^{n-1})\times (X,A))
  \end{tikzcd}
\end{lemma}

\begin{lemma}
  Let $\mathbb{R}^k\subset R^d$ be given by $x_i = 0$ for  $i>k$
  and let  $\hat{\mathbb{R}}^{d-k}\subset \mathbb{R}^d$ be given by $x_i = 0$
  for  $i\leq k$.
  Then
  $
  \mathbb{R}^d \setminus \left\{0\right\}
  =
  \mathbb{R}^d \setminus \mathbb{R}^k
  \cup 
  \mathbb{R}^d \setminus \hat{\mathbb{R}}^{d-k}
  $ 
  and $\cup $ induces an isomorphism
  \[
    \cup \colon 
  H^k(\mathbb{R}^d, \mathbb{R}^d \setminus \hat{\mathbb{R}}^{d-k})
  \otimes _r
  H^{d-k}(\mathbb{R}^d, \mathbb{R}^d \setminus \mathbb{R}^k)
  \xrightarrow{\cong} 
  H^d(\mathbb{R}^d, \mathbb{R}^d \setminus \left\{0\right\} ) \cong R
  \] 
\end{lemma}

\begin{theorem}
  The cohomology ring of $\mathbb{R}\mathbb{P}^d$ with coefficients in $\mathbb{Z}/2$
  is given by
  \[
    H^*(\mathbb{R}\mathbb{P}^d ; \mathbb{Z} / 2 ) \cong \faktor{\mathbb{Z} / 2 [X]}{(X^{d+1})}
  \] 
\end{theorem}

\begin{ddefinition}
  A map $f\colon S^n \to S^{n-1}$ is odd if $f(-x) = -f(x)$ for all  $x\in S^n$.
\end{ddefinition}

\begin{theorem}[Borsuk-Ulam]
  There is no odd continuous map $f\colon S^n \to  S^{n-1}$.
\end{theorem}
